Bug 21730 - PA_CLASS missing from list of authorized values categories
Summary: PA_CLASS missing from list of authorized values categories
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 17216
Blocks:
  Show dependency treegraph
 
Reported: 2018-10-31 06:42 UTC by Katrin Fischer
Modified: 2019-01-02 09:39 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21730: Add missing PA_CLASS authorized values categories (1.71 KB, patch)
2018-10-31 20:44 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21730: Add missing PA_CLASS authorized values categories (1.71 KB, patch)
2018-11-06 14:30 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21730: Add missing PA_CLASS authorized values categories (1.75 KB, patch)
2018-11-21 18:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21730: Add missing PA_CLASS authorized values categories (1.84 KB, patch)
2018-11-23 07:17 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2018-10-31 06:42:50 UTC
PA_CLASS used for grouping extended patron attributes is missing from the list of authorised values categories in administration.
Comment 1 Jonathan Druart 2018-10-31 20:44:29 UTC
Created attachment 81781 [details] [review]
Bug 21730: Add missing PA_CLASS authorized values categories

PA_CLASS is missing from the list of AV category

Test plan:
Execute the update DB entry
Confirm that you now have PA_CLASS in the AV category list
Comment 2 Pierre-Marc Thibault 2018-11-02 19:44:50 UTC
PA_CLASS is still missing.
Comment 3 Pierre-Marc Thibault 2018-11-02 19:48:18 UTC
I'm sorry. I should probably have added this in the previous comment, but you have inserted AV_CLASS instead of PA_CLASS.
Comment 4 Jonathan Druart 2018-11-06 14:30:39 UTC
Created attachment 81988 [details] [review]
Bug 21730: Add missing PA_CLASS authorized values categories

PA_CLASS is missing from the list of AV category

Test plan:
Execute the update DB entry
Confirm that you now have PA_CLASS in the AV category list
Comment 5 Jonathan Druart 2018-11-06 14:31:04 UTC
(In reply to Pierre-Marc Thibault from comment #3)
> I'm sorry. I should probably have added this in the previous comment, but
> you have inserted AV_CLASS instead of PA_CLASS.

Oops!
Comment 6 Owen Leonard 2018-11-21 18:39:14 UTC
Created attachment 82574 [details] [review]
Bug 21730: Add missing PA_CLASS authorized values categories

PA_CLASS is missing from the list of AV category

Test plan:
Execute the update DB entry
Confirm that you now have PA_CLASS in the AV category list

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 7 Marcel de Rooy 2018-11-23 07:17:57 UTC
Created attachment 82588 [details] [review]
Bug 21730: Add missing PA_CLASS authorized values categories

PA_CLASS is missing from the list of AV category

Test plan:
Execute the update DB entry
Confirm that you now have PA_CLASS in the AV category list

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 8 Nick Clemens 2018-11-26 12:54:50 UTC
Awesome work all!

Pushed to master for 18.11
Comment 9 Jesse Maseto 2018-12-13 17:28:09 UTC
Not being backported in 18.05
Comment 10 Jesse Maseto 2018-12-13 20:17:38 UTC
Pushed to 18.05 for 18.05.07
Comment 11 Fridolin SOMERS 2018-12-19 12:53:31 UTC
Pushed to 17.11.x for 17.11.13